[C# SolidWorks API] 起動と終了

SolidWorks APIを使って,外部プログラムからSolidWorksの起動させ,10秒後に終了させるプログラムをC#で作成してみましょう.

利用した環境は次の通りです.

 SolidWorks:2014-2015
 開発言語:C#
 開発環境:Visual Studio 2013 Community (以下,VS)

SolidWorks APIを利用するためには,SDKをインストールしておく必要があります.SDKのインストールが終わっていない方は,[C# SolidWorks API] SDKのインストールを参考にしてインストールしておきましょう.

Visual Studio 2013の設定

1. VSの起動

VSを右クリックして,管理者として実行を選択してください.開発したプログラムが実行時にSolidWorksにアクセスするためには,管理者権限が必要になるためです.

Visual Studio 2013 Boot

2. 新規プロジェクトの作成

2.1 Ctrl + Shift + Nを押して,New Projectウィンドウを開きます

2.2 ①左のリストから,Installed > Visual C# > Windows Desktopを選択します

2.3 ②中央のリストから,Console Applicationを選択します

2.4 ③Nameを設定します(ここでは,SwApiTutorialとしました)

2.5 右下のOKボタンをクリックします

New Console Application on Visual Studio 2013

3. ライブラリの参照

SolidWorks APIを利用するために必要なライブラリを参照できるようにします.

3.1 メニューからPROJECT > Add Referenceを選択します

Add COM Reference on Visual Studio 2013

3.2 COMタブをクリック選択します

3.3 次の2つのライブラリにチェックをつけて,OKボタンをクリックします

ここで,OKボタンをクリックせずにBrowseボタンをクリックして,3.5の作業に進むこともできます(2015/5/7追記)

  ・SldWorks version Type Library
  ・SolidWorks version Constant type library    (今回のversionは,2014です)

   SldWorks 2014 Type Library

SolidWorks 2014 Constant type library

3.4 再びメニューからPROJECT > Add Referenceを選択して,Browse…をクリックします

Browse SolidWorks API dll Folder

3.5 C:\Program Files\SolidWorks Corp\SolidWorks\api\redistを開いて,次のライブラリ(dll)を追加します

  ・SolidWorks.Interop.cosworks.dll
  ・SolidWorks.Interop.sldworks.dll
  ・SolidWorks.Interop.swconst.dll

Add SolidWorks API dll

3.6 追加が終わったら,OKボタンを押します

コード

今回のコーディングのポイントです.

1. Namespace(名前空間)の追加

usingディレクティブを使って,SolidWorksの名前空間を追加します.

  using SolidWorks.Interop.cosworks;
  using SolidWorks.Interop.sldworks;
  using SolidWorks.Interop.swconst;

2. SolidWorks APIにアクセスするためのメンバ変数

  SldWorks.ISldWorks swApp;

3. SolidWorksを起動するメソッド: void startSW()   

  swApp.Visible = true; // SolidWorksを表示する

  

4. SolidWorksを終了するメソッド: void shutdownSW()

  swApp.ExitApp();

実行例

動作確認の動画です.プログラムを実行するとSolidWorksが起動して,10秒後に終了します.

まとめ

SolidWorks APIを用いたプログラムをVisual Studioで開発できるように設定しました.

SolidWorksを起動して終了するプログラムを作成し,その動作を確認しました.

  • このエントリーをはてなブックマークに追加
  • Evernoteに保存Evernoteに保存

Thank you for comment!